import * as core from 'aws-cdk-lib';
import { aws_elasticloadbalancingv2 as elbv2 } from 'aws-cdk-lib';
import { Construct } from 'constructs';
import { TargetConfig, TargetType } from './index';
import { ITarget } from '../index';
/**
 * ApplicaitonLoadBalancerTargetConfiguration
 */
export interface ApplicationConfigurationProps {
    /**
     * Albs to be in target
     */
    alb: elbv2.ApplicationLoadBalancer[];
    /**
     * TargetConfiguration.
     */
    targetConfig: TargetConfig;
}
/**
 * Targets for target Groups
 */
export declare class ApplicationLoadBalancer extends core.Resource implements ITarget {
    /**
     * The TargetType
     */
    type: TargetType;
    /**
     * Targets
     */
    targets: core.aws_vpclattice.CfnTargetGroup.TargetProperty[];
    /**
     * Config
     */
    config?: core.aws_vpclattice.CfnTargetGroup.TargetGroupConfigProperty | undefined;
    constructor(scope: Construct, id: string, props: ApplicationConfigurationProps);
}
