import * as core from 'aws-cdk-lib';
import { aws_ec2 as ec2 } from 'aws-cdk-lib';
import { Construct } from 'constructs';
import { TargetConfig, TargetType } from './index';
import { ITarget } from '../index';
export interface EC2InstanceTargetProps {
    ec2instance: ec2.Instance[];
    targetConfig: TargetConfig;
}
export declare class EC2InstanceTarget extends core.Resource implements ITarget {
    /**
     * The TargetType
     */
    type: TargetType;
    /**
     * Targets
     */
    targets: core.aws_vpclattice.CfnTargetGroup.TargetProperty[];
    /**
     * Config
     */
    config?: core.aws_vpclattice.CfnTargetGroup.TargetGroupConfigProperty | undefined;
    constructor(scope: Construct, id: string, props: EC2InstanceTargetProps);
}
