import * as core from 'aws-cdk-lib';
import { Construct } from 'constructs';
import { TargetConfig, TargetType } from './index';
import { ITarget } from '../index';
export interface IpTargetProps {
    ipAddress: string[];
    targetConfig: TargetConfig;
}
/**
 * Targets for target Groups
 */
export declare class IpTarget extends core.Resource implements ITarget {
    /**
     * The TargetType
     */
    type: TargetType;
    /**
     * Targets
     */
    targets: core.aws_vpclattice.CfnTargetGroup.TargetProperty[];
    /**
     * Config
     */
    config?: core.aws_vpclattice.CfnTargetGroup.TargetGroupConfigProperty | undefined;
    constructor(scope: Construct, id: string, props: IpTargetProps);
}
